Subject: Re: [Emu] Proposed resolution for TEAP errata 5765

From: Joseph Salowey <[email-masked]>
Date: Sun, 1 Nov 2020 12:47:14 -0800

On Fri, Oct 23, 2020 at 9:20 AM Jouni Malinen <[email-masked]> wrote:

> On Thu, Oct 22, 2020 at 05:44:33PM +0300, Oleg Pekar wrote:
> > The Authority-ID TLV is used by the client to identify the TEAP server it
> > is talking to. If the same client talks to more than one TEAP server - it
> > can keep PACs or cached data from all of them identified by
> > the Authority-ID. If we make it optional in TEAP start message but keep
> > mandatory in PAC-Info part of the PAC - TEAP servers can stop sending it
> > during TEAP start and then clients will need to fetch it from PAC, if
> there
> > is a PAC in the conversation. But if there's no PAC - then no way to
> > identify TEAP server.
> >
> > Maybe we should keep it mandatory?
>
> That would be in conflict with Section 4.3.1: "Outer TLVs MUST be marked
> as optional."
>
> Please note that this M flag does not define whether the attribute must
> be included in the message; it defines whether the recipient has to
> reject the message if it does not support the TLV. We can still
> require the Authority-ID TLV to be present in TEAP/Start while marking
> it optional for the receiver to understand it (M=0).. And Section 3.2
> does indeed say that:
>    The EAP server initiates the TEAP conversation with an EAP request
>    containing a TEAP/Start packet.  This packet includes a set Start (S)
>    bit, the TEAP version as specified in Section 3.1, and an authority
>    identity TLV.
>
> This is still valid with M=0 for that TLV..
>
>
[Joe] I agree with Jouni here.  It is still valid to require the authority
ID in the message, the receiver does not have to process it.

> --
> Jouni Malinen                                            PGP id EFC895FA
>